export declare namespace core {
    export namespace meta {
        export const path: string;
        export const option: string;
    }
    const core_1: string;
    export { core_1 as core };
}
export declare const themes: {
    meta: {
        path: string;
        link: string;
        exclusive: boolean;
    };
    prism: {
        title: string;
        option: string;
    };
    'prism-dark': string;
    'prism-funky': string;
    'prism-okaidia': {
        title: string;
        owner: string;
    };
    'prism-twilight': {
        title: string;
        owner: string;
    };
    'prism-coy': {
        title: string;
        owner: string;
    };
    'prism-solarizedlight': {
        title: string;
        owner: string;
    };
    'prism-tomorrow': {
        title: string;
        owner: string;
    };
};
export declare const languages: {
    meta: {
        path: string;
        noCSS: boolean;
        examplesPath: string;
        addCheckAll: boolean;
    };
    markup: {
        title: string;
        alias: string[];
        aliasTitles: {
            html: string;
            xml: string;
            svg: string;
            mathml: string;
            ssml: string;
            atom: string;
            rss: string;
        };
        option: string;
    };
    css: {
        title: string;
        option: string;
        modify: string;
    };
    clike: {
        title: string;
        option: string;
    };
    javascript: {
        title: string;
        require: string;
        modify: string;
        optional: string;
        alias: string;
        option: string;
    };
    abap: {
        title: string;
        owner: string;
    };
    abnf: {
        title: string;
        owner: string;
    };
    actionscript: {
        title: string;
        require: string;
        modify: string;
        owner: string;
    };
    ada: {
        title: string;
        owner: string;
    };
    agda: {
        title: string;
        owner: string;
    };
    al: {
        title: string;
        owner: string;
    };
    antlr4: {
        title: string;
        alias: string;
        owner: string;
    };
    apacheconf: {
        title: string;
        owner: string;
    };
    apex: {
        title: string;
        require: string[];
        owner: string;
    };
    apl: {
        title: string;
        owner: string;
    };
    applescript: {
        title: string;
        owner: string;
    };
    aql: {
        title: string;
        owner: string;
    };
    arduino: {
        title: string;
        require: string;
        owner: string;
    };
    arff: {
        title: string;
        owner: string;
    };
    asciidoc: {
        alias: string;
        title: string;
        owner: string;
    };
    aspnet: {
        title: string;
        require: string[];
        owner: string;
    };
    asm6502: {
        title: string;
        owner: string;
    };
    autohotkey: {
        title: string;
        owner: string;
    };
    autoit: {
        title: string;
        owner: string;
    };
    bash: {
        title: string;
        alias: string;
        aliasTitles: {
            shell: string;
        };
        owner: string;
    };
    basic: {
        title: string;
        owner: string;
    };
    batch: {
        title: string;
        owner: string;
    };
    bbcode: {
        title: string;
        alias: string;
        aliasTitles: {
            shortcode: string;
        };
        owner: string;
    };
    birb: {
        title: string;
        require: string;
        owner: string;
    };
    bison: {
        title: string;
        require: string;
        owner: string;
    };
    bnf: {
        title: string;
        alias: string;
        aliasTitles: {
            rbnf: string;
        };
        owner: string;
    };
    brainfuck: {
        title: string;
        owner: string;
    };
    brightscript: {
        title: string;
        owner: string;
    };
    bro: {
        title: string;
        owner: string;
    };
    bsl: {
        title: string;
        alias: string;
        aliasTitles: {
            oscript: string;
        };
        owner: string;
    };
    c: {
        title: string;
        require: string;
        owner: string;
    };
    csharp: {
        title: string;
        require: string;
        alias: string[];
        owner: string;
    };
    cpp: {
        title: string;
        require: string;
        owner: string;
    };
    chaiscript: {
        title: string;
        require: string[];
        owner: string;
    };
    cil: {
        title: string;
        owner: string;
    };
    clojure: {
        title: string;
        owner: string;
    };
    cmake: {
        title: string;
        owner: string;
    };
    coffeescript: {
        title: string;
        require: string;
        alias: string;
        owner: string;
    };
    concurnas: {
        title: string;
        alias: string;
        owner: string;
    };
    csp: {
        title: string;
        owner: string;
    };
    crystal: {
        title: string;
        require: string;
        owner: string;
    };
    'css-extras': {
        title: string;
        require: string;
        modify: string;
        owner: string;
    };
    cypher: {
        title: string;
        owner: string;
    };
    d: {
        title: string;
        require: string;
        owner: string;
    };
    dart: {
        title: string;
        require: string;
        owner: string;
    };
    dataweave: {
        title: string;
        owner: string;
    };
    dax: {
        title: string;
        owner: string;
    };
    dhall: {
        title: string;
        owner: string;
    };
    diff: {
        title: string;
        owner: string;
    };
    django: {
        title: string;
        require: string;
        alias: string;
        owner: string;
    };
    'dns-zone-file': {
        title: string;
        owner: string;
        alias: string;
    };
    docker: {
        title: string;
        alias: string;
        owner: string;
    };
    dot: {
        title: string;
        alias: string;
        optional: string;
        owner: string;
    };
    ebnf: {
        title: string;
        owner: string;
    };
    editorconfig: {
        title: string;
        owner: string;
    };
    eiffel: {
        title: string;
        owner: string;
    };
    ejs: {
        title: string;
        require: string[];
        owner: string;
        alias: string;
        aliasTitles: {
            eta: string;
        };
    };
    elixir: {
        title: string;
        owner: string;
    };
    elm: {
        title: string;
        owner: string;
    };
    etlua: {
        title: string;
        require: string[];
        owner: string;
    };
    erb: {
        title: string;
        require: string[];
        owner: string;
    };
    erlang: {
        title: string;
        owner: string;
    };
    'excel-formula': {
        title: string;
        alias: string[];
        owner: string;
    };
    fsharp: {
        title: string;
        require: string;
        owner: string;
    };
    factor: {
        title: string;
        owner: string;
    };
    'firestore-security-rules': {
        title: string;
        require: string;
        owner: string;
    };
    flow: {
        title: string;
        require: string;
        owner: string;
    };
    fortran: {
        title: string;
        owner: string;
    };
    ftl: {
        title: string;
        require: string;
        owner: string;
    };
    gml: {
        title: string;
        alias: string;
        require: string;
        owner: string;
    };
    gcode: {
        title: string;
        owner: string;
    };
    gdscript: {
        title: string;
        owner: string;
    };
    gedcom: {
        title: string;
        owner: string;
    };
    gherkin: {
        title: string;
        owner: string;
    };
    git: {
        title: string;
        owner: string;
    };
    glsl: {
        title: string;
        require: string;
        owner: string;
    };
    go: {
        title: string;
        require: string;
        owner: string;
    };
    graphql: {
        title: string;
        optional: string[];
        owner: string;
    };
    groovy: {
        title: string;
        require: string;
        owner: string;
    };
    haml: {
        title: string;
        require: string;
        optional: string[];
        owner: string;
    };
    handlebars: {
        title: string;
        require: string;
        owner: string;
    };
    haskell: {
        title: string;
        alias: string;
        owner: string;
    };
    haxe: {
        title: string;
        require: string;
        owner: string;
    };
    hcl: {
        title: string;
        owner: string;
    };
    hlsl: {
        title: string;
        require: string;
        owner: string;
    };
    http: {
        title: string;
        optional: string[];
        owner: string;
    };
    hpkp: {
        title: string;
        owner: string;
    };
    hsts: {
        title: string;
        owner: string;
    };
    ichigojam: {
        title: string;
        owner: string;
    };
    icon: {
        title: string;
        owner: string;
    };
    ignore: {
        title: string;
        owner: string;
        alias: string[];
        aliasTitles: {
            gitignore: string;
            hgignore: string;
            npmignore: string;
        };
    };
    inform7: {
        title: string;
        owner: string;
    };
    ini: {
        title: string;
        owner: string;
    };
    io: {
        title: string;
        owner: string;
    };
    j: {
        title: string;
        owner: string;
    };
    java: {
        title: string;
        require: string;
        owner: string;
    };
    javadoc: {
        title: string;
        require: string[];
        modify: string;
        optional: string;
        owner: string;
    };
    javadoclike: {
        title: string;
        modify: string[];
        owner: string;
    };
    javastacktrace: {
        title: string;
        owner: string;
    };
    jolie: {
        title: string;
        require: string;
        owner: string;
    };
    jq: {
        title: string;
        owner: string;
    };
    jsdoc: {
        title: string;
        require: string[];
        modify: string;
        optional: string[];
        owner: string;
    };
    'js-extras': {
        title: string;
        require: string;
        modify: string;
        optional: string[];
        owner: string;
    };
    json: {
        title: string;
        alias: string;
        aliasTitles: {
            webmanifest: string;
        };
        owner: string;
    };
    json5: {
        title: string;
        require: string;
        owner: string;
    };
    jsonp: {
        title: string;
        require: string;
        owner: string;
    };
    jsstacktrace: {
        title: string;
        owner: string;
    };
    'js-templates': {
        title: string;
        require: string;
        modify: string;
        optional: string[];
        owner: string;
    };
    julia: {
        title: string;
        owner: string;
    };
    keyman: {
        title: string;
        owner: string;
    };
    kotlin: {
        title: string;
        alias: string[];
        aliasTitles: {
            kts: string;
        };
        require: string;
        owner: string;
    };
    kumir: {
        title: string;
        alias: string;
        owner: string;
    };
    latex: {
        title: string;
        alias: string[];
        aliasTitles: {
            tex: string;
            context: string;
        };
        owner: string;
    };
    latte: {
        title: string;
        require: string[];
        owner: string;
    };
    less: {
        title: string;
        require: string;
        optional: string;
        owner: string;
    };
    lilypond: {
        title: string;
        require: string;
        alias: string;
        owner: string;
    };
    liquid: {
        title: string;
        owner: string;
    };
    lisp: {
        title: string;
        alias: string[];
        owner: string;
    };
    livescript: {
        title: string;
        owner: string;
    };
    llvm: {
        title: string;
        owner: string;
    };
    lolcode: {
        title: string;
        owner: string;
    };
    lua: {
        title: string;
        owner: string;
    };
    makefile: {
        title: string;
        owner: string;
    };
    markdown: {
        title: string;
        require: string;
        optional: string;
        alias: string;
        owner: string;
    };
    'markup-templating': {
        title: string;
        require: string;
        owner: string;
    };
    matlab: {
        title: string;
        owner: string;
    };
    mel: {
        title: string;
        owner: string;
    };
    mizar: {
        title: string;
        owner: string;
    };
    mongodb: {
        title: string;
        owner: string;
        require: string;
    };
    monkey: {
        title: string;
        owner: string;
    };
    moonscript: {
        title: string;
        alias: string;
        owner: string;
    };
    n1ql: {
        title: string;
        owner: string;
    };
    n4js: {
        title: string;
        require: string;
        optional: string;
        alias: string;
        owner: string;
    };
    'nand2tetris-hdl': {
        title: string;
        owner: string;
    };
    naniscript: {
        title: string;
        owner: string;
        alias: string;
    };
    nasm: {
        title: string;
        owner: string;
    };
    neon: {
        title: string;
        owner: string;
    };
    nginx: {
        title: string;
        owner: string;
        require: string;
    };
    nim: {
        title: string;
        owner: string;
    };
    nix: {
        title: string;
        owner: string;
    };
    nsis: {
        title: string;
        owner: string;
    };
    objectivec: {
        title: string;
        require: string;
        alias: string;
        owner: string;
    };
    ocaml: {
        title: string;
        owner: string;
    };
    opencl: {
        title: string;
        require: string;
        modify: string[];
        owner: string;
    };
    oz: {
        title: string;
        owner: string;
    };
    parigp: {
        title: string;
        owner: string;
    };
    parser: {
        title: string;
        require: string;
        owner: string;
    };
    pascal: {
        title: string;
        alias: string;
        aliasTitles: {
            objectpascal: string;
        };
        owner: string;
    };
    pascaligo: {
        title: string;
        owner: string;
    };
    psl: {
        title: string;
        owner: string;
    };
    pcaxis: {
        title: string;
        alias: string;
        owner: string;
    };
    peoplecode: {
        title: string;
        alias: string;
        owner: string;
    };
    perl: {
        title: string;
        owner: string;
    };
    php: {
        title: string;
        require: string;
        owner: string;
    };
    phpdoc: {
        title: string;
        require: string[];
        modify: string;
        owner: string;
    };
    'php-extras': {
        title: string;
        require: string;
        modify: string;
        owner: string;
    };
    plsql: {
        title: string;
        require: string;
        owner: string;
    };
    powerquery: {
        title: string;
        alias: string[];
        owner: string;
    };
    powershell: {
        title: string;
        owner: string;
    };
    processing: {
        title: string;
        require: string;
        owner: string;
    };
    prolog: {
        title: string;
        owner: string;
    };
    promql: {
        title: string;
        owner: string;
    };
    properties: {
        title: string;
        owner: string;
    };
    protobuf: {
        title: string;
        require: string;
        owner: string;
    };
    pug: {
        title: string;
        require: string[];
        optional: string[];
        owner: string;
    };
    puppet: {
        title: string;
        owner: string;
    };
    pure: {
        title: string;
        optional: string[];
        owner: string;
    };
    purebasic: {
        title: string;
        require: string;
        alias: string;
        owner: string;
    };
    purescript: {
        title: string;
        require: string;
        alias: string;
        owner: string;
    };
    python: {
        title: string;
        alias: string;
        owner: string;
    };
    q: {
        title: string;
        owner: string;
    };
    qml: {
        title: string;
        require: string;
        owner: string;
    };
    qore: {
        title: string;
        require: string;
        owner: string;
    };
    r: {
        title: string;
        owner: string;
    };
    racket: {
        title: string;
        require: string;
        alias: string;
        owner: string;
    };
    jsx: {
        title: string;
        require: string[];
        optional: string[];
        owner: string;
    };
    tsx: {
        title: string;
        require: string[];
    };
    reason: {
        title: string;
        require: string;
        owner: string;
    };
    regex: {
        title: string;
        owner: string;
    };
    renpy: {
        title: string;
        alias: string;
        owner: string;
    };
    rest: {
        title: string;
        owner: string;
    };
    rip: {
        title: string;
        owner: string;
    };
    roboconf: {
        title: string;
        owner: string;
    };
    robotframework: {
        title: string;
        alias: string;
        owner: string;
    };
    ruby: {
        title: string;
        require: string;
        alias: string;
        owner: string;
    };
    rust: {
        title: string;
        owner: string;
    };
    sas: {
        title: string;
        optional: string[];
        owner: string;
    };
    sass: {
        title: string;
        require: string;
        owner: string;
    };
    scss: {
        title: string;
        require: string;
        optional: string;
        owner: string;
    };
    scala: {
        title: string;
        require: string;
        owner: string;
    };
    scheme: {
        title: string;
        owner: string;
    };
    'shell-session': {
        title: string;
        require: string;
        alias: string[];
        owner: string;
    };
    smali: {
        title: string;
        owner: string;
    };
    smalltalk: {
        title: string;
        owner: string;
    };
    smarty: {
        title: string;
        require: string;
        owner: string;
    };
    sml: {
        title: string;
        alias: string;
        aliasTitles: {
            smlnj: string;
        };
        owner: string;
    };
    solidity: {
        title: string;
        alias: string;
        require: string;
        owner: string;
    };
    'solution-file': {
        title: string;
        alias: string;
        owner: string;
    };
    soy: {
        title: string;
        require: string;
        owner: string;
    };
    sparql: {
        title: string;
        require: string;
        owner: string;
        alias: string;
    };
    'splunk-spl': {
        title: string;
        owner: string;
    };
    sqf: {
        title: string;
        require: string;
        owner: string;
    };
    sql: {
        title: string;
        owner: string;
    };
    squirrel: {
        title: string;
        require: string;
        owner: string;
    };
    stan: {
        title: string;
        owner: string;
    };
    iecst: {
        title: string;
        owner: string;
    };
    stylus: {
        title: string;
        owner: string;
    };
    swift: {
        title: string;
        require: string;
        owner: string;
    };
    't4-templating': {
        title: string;
        owner: string;
    };
    't4-cs': {
        title: string;
        require: string[];
        alias: string;
        owner: string;
    };
    't4-vb': {
        title: string;
        require: string[];
        owner: string;
    };
    tap: {
        title: string;
        owner: string;
        require: string;
    };
    tcl: {
        title: string;
        owner: string;
    };
    tt2: {
        title: string;
        require: string[];
        owner: string;
    };
    textile: {
        title: string;
        require: string;
        optional: string;
        owner: string;
    };
    toml: {
        title: string;
        owner: string;
    };
    turtle: {
        title: string;
        alias: string;
        aliasTitles: {
            trig: string;
        };
        owner: string;
    };
    twig: {
        title: string;
        require: string;
        owner: string;
    };
    typescript: {
        title: string;
        require: string;
        optional: string;
        alias: string;
        owner: string;
    };
    typoscript: {
        title: string;
        alias: string;
        aliasTitles: {
            tsconfig: string;
        };
        owner: string;
    };
    unrealscript: {
        title: string;
        alias: string[];
        owner: string;
    };
    uri: {
        title: string;
        alias: string;
        aliasTitles: {
            url: string;
        };
        owner: string;
    };
    v: {
        title: string;
        require: string;
        owner: string;
    };
    vala: {
        title: string;
        require: string;
        optional: string;
        owner: string;
    };
    vbnet: {
        title: string;
        require: string;
        owner: string;
    };
    velocity: {
        title: string;
        require: string;
        owner: string;
    };
    verilog: {
        title: string;
        owner: string;
    };
    vhdl: {
        title: string;
        owner: string;
    };
    vim: {
        title: string;
        owner: string;
    };
    'visual-basic': {
        title: string;
        alias: string[];
        aliasTitles: {
            vba: string;
        };
        owner: string;
    };
    warpscript: {
        title: string;
        owner: string;
    };
    wasm: {
        title: string;
        owner: string;
    };
    wiki: {
        title: string;
        require: string;
        owner: string;
    };
    xeora: {
        title: string;
        require: string;
        alias: string;
        aliasTitles: {
            xeoracube: string;
        };
        owner: string;
    };
    'xml-doc': {
        title: string;
        require: string;
        modify: string[];
        owner: string;
    };
    xojo: {
        title: string;
        owner: string;
    };
    xquery: {
        title: string;
        require: string;
        owner: string;
    };
    yaml: {
        title: string;
        alias: string;
        owner: string;
    };
    yang: {
        title: string;
        owner: string;
    };
    zig: {
        title: string;
        owner: string;
    };
};
export declare const plugins: {
    meta: {
        path: string;
        link: string;
    };
    'line-highlight': {
        title: string;
        description: string;
    };
    'line-numbers': {
        title: string;
        description: string;
        owner: string;
    };
    'show-invisibles': {
        title: string;
        description: string;
        optional: string[];
    };
    autolinker: {
        title: string;
        description: string;
    };
    wpd: {
        title: string;
        description: string;
    };
    'custom-class': {
        title: string;
        description: string;
        owner: string;
        noCSS: boolean;
    };
    'file-highlight': {
        title: string;
        description: string;
        noCSS: boolean;
    };
    'show-language': {
        title: string;
        description: string;
        owner: string;
        noCSS: boolean;
        require: string;
    };
    'jsonp-highlight': {
        title: string;
        description: string;
        noCSS: boolean;
        owner: string;
    };
    'highlight-keywords': {
        title: string;
        description: string;
        owner: string;
        noCSS: boolean;
    };
    'remove-initial-line-feed': {
        title: string;
        description: string;
        owner: string;
        noCSS: boolean;
    };
    'inline-color': {
        title: string;
        description: string;
        require: string;
        owner: string;
    };
    previewers: {
        title: string;
        description: string;
        require: string;
        owner: string;
    };
    autoloader: {
        title: string;
        description: string;
        owner: string;
        noCSS: boolean;
    };
    'keep-markup': {
        title: string;
        description: string;
        owner: string;
        optional: string;
        noCSS: boolean;
    };
    'command-line': {
        title: string;
        description: string;
        owner: string;
    };
    'unescaped-markup': {
        title: string;
        description: string;
    };
    'normalize-whitespace': {
        title: string;
        description: string;
        owner: string;
        optional: string;
        noCSS: boolean;
    };
    'data-uri-highlight': {
        title: string;
        description: string;
        owner: string;
        noCSS: boolean;
    };
    toolbar: {
        title: string;
        description: string;
        owner: string;
    };
    'copy-to-clipboard': {
        title: string;
        description: string;
        owner: string;
        require: string;
        noCSS: boolean;
    };
    'download-button': {
        title: string;
        description: string;
        owner: string;
        require: string;
        noCSS: boolean;
    };
    'match-braces': {
        title: string;
        description: string;
        owner: string;
    };
    'diff-highlight': {
        title: string;
        description: string;
        owner: string;
        require: string;
    };
    'filter-highlight-all': {
        title: string;
        description: string;
        owner: string;
        noCSS: boolean;
    };
    treeview: {
        title: string;
        description: string;
        owner: string;
    };
};
